collission = {}

function collission.prerequisitesPresent(specializations)
      return true;
end;

function collission:load(xmlFile)	



end;

function collission:delete()
end;

function collission:readStream(streamId, connection)
end;
  
function collission:writeStream(streamId, connection)
end;



function collission:mouseEvent(posX, posY, isDown, isUp, button)
end;

function collission:keyEvent(unicode, sym, modifier, isDown)    
end;
function collission:update(dt)


	   	for i, jointDesc in pairs(self.componentJoints) do
	   setJointFrame(self.componentJoints[i].jointIndex, 0, self.componentJoints[i].jointNode);
	end;
    
	
end;

function collission:onLeave()
end;  
      


function collission:draw()  	
end;

function collission:onDeactivateSounds()
end;



function collission:onDeactivate()
end;


function collission:anim(varName, loopCheck)
end;


function collission:connectCollisions(varName)
end;



function collission:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;

function collission:doRotate(index, boolean, dt)
end;